Live Events - Allocate
Allocate resources for a live event
A live event is in StandBy state after allocation completes, and is ready to start.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Media/mediaservices/{accountName}/liveEvents/{liveEventName}/allocate?api-version=2021-11-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
|
The Media Services account name. |
|
live
|
path | True |
|
The name of the live event, maximum length is 32. Regex pattern: |
|
resource
|
path | True |
|
The name of the resource group within the Azure subscription. |
|
subscription
|
path | True |
|
The unique identifier for a Microsoft Azure subscription. |
|
api-version
|
query | True |
|
The version of the API to be used with the client request. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
OK. The request has succeeded. |
|
| 202 Accepted |
Accepted. The request has been accepted for processing and the operation will complete asynchronously. See https://go.microsoft.com/fwlink/?linkid=2087017 for details on the monitoring asynchronous Azure Operations. |
|
| Other Status Codes |
The streaming error response describing why the operation failed. |
Examples
Allocate a LiveEvent
Sample Request
POST https://management.azure.com/subscriptions/0a6ec948-5a62-437d-b9df-934dc7c1b722/resourceGroups/mediaresources/providers/Microsoft.Media/mediaservices/slitestmedia10/liveEvents/myLiveEvent1/allocate?api-version=2021-11-01
Sample Response
Definitions
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
|
The additional info. |
| type |
|
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
|
The error code. |
| details |
The error details. |
|
| message |
|
The error message. |
| target |
|
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |